import React, { DetailedHTMLProps, ReactNode } from 'react';
declare type HtmlButtonProps = DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>;
export interface ButtonProps extends HtmlButtonProps {
    label?: string;
    variant?: 'primary' | 'secondary' | 'tertiary' | 'outline' | 'ghost-primary' | 'ghost-secondary';
    size?: 'large' | 'medium';
    iconPosition?: 'left' | 'right';
    outline?: boolean;
    loading?: boolean;
    icon?: ReactNode;
    children?: ReactNode;
}
export declare const Button: ({ label, variant, outline, disabled, loading, iconPosition, size, icon: IconComponent, className, children, ...props }: ButtonProps) => JSX.Element;
export {};
